<bugID>269696<Summary>Password list is in alpha order, not sorted by domain name</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

the list is sorted by strict alpha order so it sorts by protocol and sub-domain
before domain name.  Sorting by domain would keep passwords with the same domain
but different protocol (https vs. http) or a different sub-domain (www.foo.com
vs. foo.com).

Reproducible: Always
Steps to Reproduce:
1.
2.
3.




I know this is picky, but I wanted to remove all passwords from a domain today,
and had to hunt through the list to find the password under several different
protocol/sub-domain combinations.</Description></bugID>